## kdeplasma-addons 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kdeplasma-addons)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(QT_MIN_VERSION 5.15.0)
set(KF5_MIN_VERSION 5.90.0)
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Quick
    Qml
    Widgets
    Test
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    Declarative
    Holidays
    I18n
    KIO
    KCMUtils
    Notifications
    Plasma
    Runner
    Service
    Sonnet
    UnitConversion
    NewStuff
)

if(${QT_MAJOR_VERSION} LESS 6)
    find_package(KF5NetworkManagerQt CONFIG QUIET)
    set_package_properties(KF5NetworkManagerQt PROPERTIES
        DESCRIPTION "Qt wrapper for NetworkManager API"
        PURPOSE "Disable wallpaper update when using metered connections"
        TYPE OPTIONAL
    )
    if(KF5NetworkManagerQt_FOUND)
        set(HAVE_NetworkManagerQt TRUE)
    endif()
endif()

find_package(KF5Purpose CONFIG QUIET)
set_package_properties(KF5Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

find_package(ICU 66.1 COMPONENTS uc i18n)
set_package_properties(ICU
        PROPERTIES DESCRIPTION "Unicode and Globalization support for software applications"
        TYPE OPTIONAL
        PURPOSE "Provides alternate calendar systems that are not available in QCalendar"
        )
if(ICU_FOUND)
    set(HAVE_ICU TRUE)
endif()

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

add_subdirectory(dict)
add_subdirectory(profiles)
add_subdirectory(applets)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(windowswitchers)
add_subdirectory(desktopswitchers)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== windowswitchers/CMakeLists.txt ===
# packages
set(TABBOX_DIR ${KDE_INSTALL_DATADIR}/kwin/tabbox)
install(DIRECTORY big_icons    DESTINATION  ${TABBOX_DIR})
install(DIRECTORY compact      DESTINATION ${TABBOX_DIR})
install(DIRECTORY coverswitch  DESTINATION ${TABBOX_DIR})
install(DIRECTORY flipswitch   DESTINATION ${TABBOX_DIR})
install(DIRECTORY informative  DESTINATION ${TABBOX_DIR})
install(DIRECTORY present_windows  DESTINATION ${TABBOX_DIR})
install(DIRECTORY small_icons  DESTINATION ${TABBOX_DIR})
install(DIRECTORY text         DESTINATION ${TABBOX_DIR})
install(DIRECTORY thumbnail_grid   DESTINATION ${TABBOX_DIR})
install(DIRECTORY thumbnails   DESTINATION ${TABBOX_DIR})

install(FILES IconTabBox.qml DESTINATION ${TABBOX_DIR}/big_icons/contents/ui)
install(FILES IconTabBox.qml DESTINATION ${TABBOX_DIR}/small_icons/contents/ui)

=== applets/colorpicker/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.colorpicker)

set(colorpickerplugin_SRCS
    plugin/grabwidget.cpp
    plugin/colorpickerplugin.cpp
)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/colorpicker)
add_library(colorpickerplugin SHARED ${colorpickerplugin_SRCS})

target_link_libraries(colorpickerplugin Qt::DBus Qt::Gui Qt::Qml Qt::Widgets)
install(TARGETS colorpickerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/colorpicker)

=== applets/dict/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION}WebEngine ${QT_MIN_VERSION} CONFIG)

set_package_properties(Qt5WebEngine PROPERTIES
    PURPOSE "Needed by the dict applet"
    URL "https://doc.qt.io/qt-5/qtwebengine-index.html"
    TYPE OPTIONAL
)

if (Qt${QT_MAJOR_VERSION}WebEngine_FOUND)

#######################################################################################
# Package (metadata.desktop and QML)
plasma_install_package(package org.kde.plasma_applet_dict)
# TODO: fix pluginid "org.kde.plasma_applet_dict" into properly namespaced id "org.kde.plasma.dict"

#######################################################################################
# Icon for the package
ecm_install_icons(
    ICONS sc-apps-accessories-dictionary.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

#######################################################################################
# C++ Plugin

add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma_applet_dict")

set(dict_SRCS
  plugin/dict_plugin.cpp
  plugin/dict_object.cpp
  plugin/dictionariesmodel.cpp
)

add_library(dictplugin SHARED ${dict_SRCS})
target_link_libraries(dictplugin
    KF5::I18n
    Qt::Quick
    Qt::WebEngine
    engine_dict_static
)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/dict)
install(TARGETS dictplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/dict)

endif()

=== applets/fifteenPuzzle/CMakeLists.txt ===
ecm_install_icons(
    ICONS sc-apps-fifteenpuzzle.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

plasma_install_package(package org.kde.plasma.fifteenpuzzle)

set(fifteenpuzzleplugin_SRCS
    plugin/fifteenimageprovider.cpp
    plugin/fifteenpuzzleplugin.cpp
)

add_library(fifteenpuzzleplugin SHARED ${fifteenpuzzleplugin_SRCS})

target_link_libraries(fifteenpuzzleplugin Qt::Quick Qt::Qml)
install(TARGETS fifteenpuzzleplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/fifteenpuzzle)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/fifteenpuzzle)

=== applets/nightcolor/CMakeLists.txt ===
add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.nightcolorcontrol)

=== plasmacalendarplugins/alternatecalendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

set(alternatecalendar_LIB_SRCS
    alternatecalendarplugin.cpp
    calendarsystem.h
    provider/abstractcalendarprovider.cpp
    provider/qtcalendar.cpp
)

set(alternatecalendar_LINK_LIBRARIES
    KF5::ConfigCore
    KF5::CalendarEvents
    KF5::I18n
)

if(${HAVE_ICU})
    set(alternatecalendar_LIB_SRCS
        ${alternatecalendar_LIB_SRCS}
        provider/icucalendar_p.cpp
        provider/chinesecalendar.cpp
        provider/hebrewcalendar.cpp
        provider/indiancalendar.cpp
    )
    set(alternatecalendar_LINK_LIBRARIES
        ${alternatecalendar_LINK_LIBRARIES}
        ICU::uc
        ICU::i18n
    )
endif()

configure_file(config-ICU.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-ICU.h)

kcoreaddons_add_plugin(alternatecalendar SOURCES ${alternatecalendar_LIB_SRCS} INSTALL_NAMESPACE "plasmacalendarplugins")
target_link_libraries(alternatecalendar ${alternatecalendar_LINK_LIBRARIES})

add_subdirectory(config)

=== plasmacalendarplugins/alternatecalendar/config/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(qml)
add_subdirectory(plugin)

=== runners/converter/autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

ecm_add_test(converterrunnertest.cpp TEST_NAME converterrunnertest LINK_LIBRARIES Qt::Gui Qt::Test KF5::Runner KF5::UnitConversion)
configure_krunner_test(converterrunnertest unitconverter)

=== plasmacalendarplugins/alternatecalendar/config/plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Fushan Wen <qydwhotmail@gmail.com>

# SPDX-License-Identifier: GPL-2.0-or-later

add_library(plasmacalendaralternatecalendarconfig SHARED configplugin.cpp configstorage.cpp ../../calendarsystem.h)

target_link_libraries(plasmacalendaralternatecalendarconfig
    Qt::Qml
    Qt::Core
    KF5::ConfigCore
    KF5::I18n
)

install(TARGETS plasmacalendaralternatecalendarconfig DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasmacalendar/alternatecalendarconfig)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasmacalendar/alternatecalendarconfig)

=== debian/changelog ===
kdeplasma-addons (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:47 +0200

kdeplasma-addons (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:29:43 +0200

kdeplasma-addons (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:19:38 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kross-dev (>= 5.79.0~),
               libicu-dev (>= 66.1~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5holidays-dev (>= 1:5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.79.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5networkmanagerqt-dev,
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5purpose-dev (>= 5.70.0~),
               libkf5runner-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5sonnet-dev (>= 5.90.0~),
               libkf5unitconversion-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.79.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace (>= 4:5.27.5~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
Rules-Requires-Root: no

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
         plasma-framework (>= 5.79.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.79.0~),
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 5
 This package contains additional Plasma 5 calendar plugins that are used in
 the Plasma desktop.
 .
 Currently, it only includes the astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         plasma-framework (>= 5.79.0~),
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Characters (Special Characters)
  * Converter (Unit Converter)
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Media Wiki (Wikipedia, Wikitravel, Techbase, Userbase)
  * Spell Checker
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.79.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         libkf5purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework (>= 5.79.0~),
         plasma-workspace (>= 4:5.27.5~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
         qml-module-qtwebkit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 4:5.27.5~),
Suggests: quota,
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Activity pager
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic
  * Dictionary
  * Diskquota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping
  * Keyboard Indicartor
  * Kicker Application Dashboard
  * Konsole Profiles
  * Media Frame
  * Minimize all Windows
  * Nightcolor Control
  * Notes
  * Quicklaunch
  * Quick Share
  * Show Desktop
  * System Load Viewer
  * Timer
  * Userswitcher
  * Weather Report
  * Web Browser
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_install:
	dh_install
	# Try to copy the webengine dependant applet
	-cp -r debian/tmp/usr/lib/*/qt5/qml/org/kde/plasma/private/dict/ \
	    debian/plasma-widgets-addons/usr/lib/$${DEB_HOST_MULTIARCH}/qt5/qml/org/kde/plasma/private/
	-cp -r debian/tmp/usr/share/plasma/plasmoids/org.kde.plasma_applet_dict/ \
	    debian/plasma-widgets-addons/usr/share/plasma/plasmoids/
	-cp debian/tmp/usr/share/icons/hicolor/scalable/apps/accessories-dictionary.svgz \
	    debian/plasma-widgets-addons/usr/share/icons/hicolor/scalable/apps/
	-cp debian/tmp/usr/share/kservices5/plasma-applet-org.kde.plasma_applet_dict.desktop \
	    debian/plasma-widgets-addons/usr/share/kservices5/
	-cp debian/tmp/usr/share/metainfo/org.kde.plasma_applet_dict.appdata.xml \
	    debian/plasma-widgets-addons/usr/share/metainfo/
	-cp debian/tmp/usr/share/kservices5/plasma-applet-org.kde.plasma.webbrowser.desktop \
	    debian/plasma-widgets-addons/usr/share/kservices5/
	-cp debian/tmp/usr/share/metainfo/org.kde.plasma.webbrowser.appdata.xml \
	    debian/plasma-widgets-addons/usr/share/metainfo/
	-cp -r debian/tmp/usr/share/plasma/plasmoids/org.kde.plasma.webbrowser/ \
	    debian/plasma-widgets-addons/usr/share/plasma/plasmoids/

## kdeplasma-addons 5.27.7

=== debian/changelog ===
kdeplasma-addons (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:06 +0100

kdeplasma-addons (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:33 +0100

kdeplasma-addons (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:47 +0100

## kdeplasma-addons 5.27.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kdeplasma-addons)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# Disallow in-source build #################

=== debian/changelog ===
kdeplasma-addons (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:55 +0100

kdeplasma-addons (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.
    - Build and runtime deps at Plasma 5.27 and Frameworks 5.102.0
    - qml-module-qtwebkit runtime dep no longer required.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 14:48:58 +0100

kdeplasma-addons (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:55:52 +0200

kdeplasma-addons (4:5.27.5-3) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update the build dependencies according to the upstream build system:
    - drop unused: kross-dev, libkf5archive-dev, libkf5iconthemes-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Drop the unused kross dependency in plasma-dataengines-addons.
  * Simplify the installation of the dictionary widget, which depends on
    QtWebEngine:
    - add the dh-exec build dependency
    - add to plasma-widgets-addons.install the list of files & directories
      of the widget
    - drop the manual copying done in rules
    - drop the (duplicated) list of files from not-installed

 -- Pino Toscano <pino@debian.org>  Tue, 18 Jul 2023 23:25:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,41 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               dh-exec,
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kross-dev (>= 5.79.0~),
                libicu-dev (>= 66.1~),
-               libkf5archive-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5declarative-dev (>= 5.90.0~),
-               libkf5holidays-dev (>= 1:5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.79.0~),
-               libkf5kcmutils-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5holidays-dev (>= 1:5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
                libkf5networkmanagerqt-dev,
-               libkf5newstuff-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5plasma-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5plasma-dev (>= 5.102.0~),
                libkf5purpose-dev (>= 5.70.0~),
-               libkf5runner-dev (>= 5.90.0~),
-               libkf5service-dev (>= 5.90.0~),
-               libkf5sonnet-dev (>= 5.90.0~),
+               libkf5runner-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5sonnet-dev (>= 5.102.0~),
                libkf5unitconversion-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.70.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.79.0~),
                pkg-config,
-               pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace (>= 4:5.27.5~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 Rules-Requires-Root: no
 
 Package: kdeplasma-addons-data
@@ -60,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.27.5~) | kwin (>= 4:5.27.5~),
+         kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -92,7 +85,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kross,
          plasma-framework (>= 5.79.0~),
          qml-module-qtquick-layouts,
          ${misc:Depends},
@@ -154,7 +146,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.27.5~),
+         plasma-workspace (>= 4:5.27.7~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -164,11 +156,10 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
-         qml-module-qtwebkit,
+         qml-module-qtwebengine [amd64 arm64 armhf i386],
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.27.5~),
+Recommends: plasma-systemmonitor (>= 4:5.27.7~),
 Suggests: quota,
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma

## kdeplasma-addons 5.27.10

=== debian/changelog ===
kdeplasma-addons (4:5.27.10-0ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Dec 2023 07:14:23 +0100

kdeplasma-addons (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:57 +0000

kdeplasma-addons (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:06 +0100

## kdeplasma-addons 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kdeplasma-addons)
-set(PROJECT_VERSION "5.27.8")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 ################# Disallow in-source build #################

=== applets/CMakeLists.txt ===
plasma_install_package(kickerdash org.kde.plasma.kickerdash)
plasma_install_package(konsoleprofiles/package org.kde.plasma.konsoleprofiles)
plasma_install_package(keyboardindicator org.kde.plasma.keyboardindicator)
plasma_install_package(katesessions org.kde.plasma.addons.katesessions)

add_subdirectory(binary-clock)
add_subdirectory(calculator)
add_subdirectory(colorpicker)
add_subdirectory(comic)
add_subdirectory(dict)
add_subdirectory(diskquota)
add_subdirectory(fifteenPuzzle)
add_subdirectory(fuzzy-clock)
add_subdirectory(grouping)
add_subdirectory(mediaframe)
add_subdirectory(nightcolor)
add_subdirectory(notes)
add_subdirectory(quicklaunch)
add_subdirectory(quickshare)
add_subdirectory(timer)
add_subdirectory(userswitcher)
add_subdirectory(weather)
add_subdirectory(webbrowser)

=== applets/comic/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.comic\")

add_subdirectory(engine)

set(comic_SRCS
    comic.cpp
    comicmodel.cpp
    comicupdater.cpp
    checknewstrips.cpp
    comicdata.cpp
    comicinfo.cpp
    comicsaver.cpp
    stripselector.cpp
    activecomicmodel.cpp
)

kcoreaddons_add_plugin(org.kde.plasma.comic SOURCES ${comic_SRCS} INSTALL_NAMESPACE "plasma/applets")

target_link_libraries(org.kde.plasma.comic
                      Qt::Gui
                      Qt::Widgets
                      KF5::Plasma
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOWidgets
                      KF5::NewStuff
                      KF5::Notifications
                      plasma_engine_comic)

install(FILES comic.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
plasma_install_package(package org.kde.plasma.comic)

=== applets/fuzzy-clock/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.fuzzyclock)

=== applets/weather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.weather\")

kcoreaddons_add_plugin(org.kde.plasma.weather SOURCES weatherapplet.cpp INSTALL_NAMESPACE "plasma/applets")

target_link_libraries(org.kde.plasma.weather
    KF5::Plasma
    KF5::UnitConversion
    KF5::I18n
)

install(FILES wind-arrows.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/weather/)

plasma_install_package(package org.kde.plasma.weather)


set(weather_SRCS
    plugin/plugin.cpp
    plugin/util.cpp
    plugin/abstractunitlistmodel.cpp
    plugin/locationlistmodel.cpp
)

add_library(weatherplugin SHARED ${weather_SRCS})

target_link_libraries(weatherplugin
    KF5::Plasma
    KF5::UnitConversion
    KF5::I18n
    Qt::Qml
)

install(TARGETS weatherplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/weather)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/weather)

=== runners/datetime/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_datetime")

kcoreaddons_add_plugin(org.kde.datetime SOURCES datetimerunner.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner")
target_link_libraries(org.kde.datetime
    KF5::Runner
    KF5::KIOWidgets
    KF5::I18n
)

if(BUILD_TESTING)
add_subdirectory(autotests)
endif()

=== runners/katesessions/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_katesessions\")

kcoreaddons_add_plugin(krunner_katesessions SOURCES katesessions.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner")
target_link_libraries(krunner_katesessions KF5::KIOGui KF5::Notifications KF5::I18n KF5::Runner profiles_utility_static)

=== runners/spellchecker/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_spellcheckrunner")

add_library(krunner_spellcheck_static STATIC spellcheck.cpp)
set_property(TARGET krunner_spellcheck_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(krunner_spellcheck_static
    KF5::Runner
    KF5::KIOWidgets
    KF5::I18n
    KF5::SonnetCore
)

kcoreaddons_add_plugin(krunner_spellcheck SOURCES spellcheck.cpp INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner")
target_link_libraries(krunner_spellcheck
    krunner_spellcheck_static
)

kcoreaddons_add_plugin(kcm_krunner_spellcheck INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/krunner/kcms")
target_compile_definitions(kcm_krunner_spellcheck PRIVATE -DKRUNNER_PLUGIN_NAME="krunner_spellcheck")
ki18n_wrap_ui(kcm_krunner_spellcheck spellcheck_config.ui)
target_sources(kcm_krunner_spellcheck PRIVATE spellcheck_config.cpp)
target_link_libraries(kcm_krunner_spellcheck 
    Qt::Gui
    KF5::Runner
    KF5::KCMUtils
    KF5::I18n
)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== applets/nightcolor/plugin/CMakeLists.txt ===
set(nightcolorcontrolplugin_SOURCES
    inhibitor.cpp
    monitor.cpp
    plugin.cpp
)

add_library(nightcolorcontrolplugin SHARED ${nightcolorcontrolplugin_SOURCES})
target_link_libraries(nightcolorcontrolplugin
    Qt::Core
    Qt::DBus
    Qt::Gui
    Qt::Qml
)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nightcolorcontrol)
install(TARGETS nightcolorcontrolplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nightcolorcontrol)

=== runners/datetime/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL
# SPDX-FileCopyrightText: 2023 Natalie Clarius <natalie_clarius@yahoo.de>
include(ECMAddTests)

ecm_add_test(datetimerunnertest.cpp TEST_NAME datetimerunnertest LINK_LIBRARIES Qt::Test KF5::Runner)
configure_krunner_test(datetimerunnertest org.kde.datetime)

=== wallpapers/potd/plugins/providers/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR}/..)

kcoreaddons_add_plugin(plasma_potd_flickrprovider SOURCES flickrprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_flickrprovider plasmapotdprovidercore KF5::KIOCore KF5::CoreAddons)

kcoreaddons_add_plugin(plasma_potd_apodprovider SOURCES apodprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_apodprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_natgeoprovider SOURCES natgeoprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_natgeoprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_epodprovider SOURCES epodprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_epodprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_noaaprovider SOURCES noaaprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_noaaprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_wcpotdprovider SOURCES wcpotdprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_wcpotdprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_bingprovider SOURCES bingprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_bingprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_unsplashprovider SOURCES unsplashprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_unsplashprovider plasmapotdprovidercore KF5::KIOCore)

kcoreaddons_add_plugin(plasma_potd_simonstalenhagprovider SOURCES simonstalenhagprovider.cpp INSTALL_NAMESPACE "potd")
target_link_libraries(plasma_potd_simonstalenhagprovider plasmapotdprovidercore KF5::KIOCore)

=== debian/changelog ===
kdeplasma-addons (4:5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:55 +0000

kdeplasma-addons (4:5.27.11-0ubuntu2) noble; urgency=medium

  * Disable qtwebengine on armhf for now.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Mar 2024 05:00:06 +0000

kdeplasma-addons (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:21:08 +0000

kdeplasma-addons (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:51:44 +0000

kdeplasma-addons (4:5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:19:59 -0700

kdeplasma-addons (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:27:31 +0100

kdeplasma-addons (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:54:50 +0200

kdeplasma-addons (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 22:32:00 +0200

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
                libkf5service-dev (>= 5.102.0~),
                libkf5sonnet-dev (>= 5.102.0~),
                libkf5unitconversion-dev (>= 5.90.0~),
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
+               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386],
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
@@ -53,7 +53,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.27.7~) | kwin (>= 4:5.27.7~),
+         kwin-x11 (>= 4:5.27.10~) | kwin (>= 4:5.27.10~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -146,7 +146,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.27.7~),
+         plasma-workspace (>= 4:5.27.10~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -159,7 +159,7 @@
          qml-module-qtwebengine [amd64 arm64 armhf i386],
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.27.7~),
+Recommends: plasma-systemmonitor (>= 4:5.27.10~),
 Suggests: quota,
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdeplasma-addons 6.1.4

=== debian/changelog ===
kdeplasma-addons (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:34 +0100

kdeplasma-addons (4:6.1.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Drop unnecessary build-dependency to plasma-workspace.

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:19 +0200

kdeplasma-addons (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Mon, 08 Jul 2024 02:04:23 +0200

kdeplasma-addons (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:22:25 +0200

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6declarative-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6holidays-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6jobwidgets-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6runner-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6sonnet-dev (>= 6.2.0~),
               libkf6unitconversion-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libplasma-dev (>= 6.1.4~),
               libplasma5support-dev (>= 6.1.4~),
               pkgconf,
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-webengine-dev (>= 6.6.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Rules-Requires-Root: no

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.1.0~) | kwin (>= 4:6.1.0~),
         plasma-desktoptheme (>= 6.1.0~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.1.0~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.1.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.1.0~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.1.0~),
         plasma-workspace (>= 4:6.1.0~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 4:6.1.0~),
Suggests: quota,
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.
